Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451932 - Update to subversion 1.5
Summary: Update to subversion 1.5
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 462665 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 08:34 UTC by Marco Maccaferri
Modified: 2009-07-15 08:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:24:31 UTC


Attachments (Terms of Use)
Diff to Spec file (Revision 1.112) (deleted)
2008-07-01 21:28 UTC, Edward Rudd
no flags Details | Diff
JavaHL patch for building on GCJ (deleted)
2008-07-01 21:28 UTC, Edward Rudd
no flags Details

Description Marco Maccaferri 2008-06-18 08:34:02 UTC
Update subversion package to version 1.5.

It would be nice to have an interim release with the latest rc to test while
waiting for the final release since many development tools are already
integrating subversion 1.5 features.

Comment 1 Ismael Juma 2008-06-20 12:40:15 UTC
Final release is now out:

http://subversion.tigris.org/svn_1.5_releasenotes.html

Comment 2 Chris Hubick 2008-06-25 23:02:56 UTC
FYI:  Eclipse just released their yearly update today, version 3.4 "Ganymede". 
The Subversion plugin for Eclipse, Subclipse ( http://subclipse.tigris.org/ ),
has deprecated their 1.2.X tree in favour of the new 1.4.X versions, which
require Subversion 1.5.X.  From my initial effort, building Subversion certainly
appears non-trivial (requires APR, etc), and it would be great if Fedora would
supply an updated RPM!

Comment 3 Marco Maccaferri 2008-06-26 06:50:38 UTC
Subclipse provides a java-only implementation (SVNKit) that doesn't require the
binary javahl library, so it can be used with Fedora without problems. However,
svn 1.5 (and SVNKit) automatically updates the working copy metadata making it
incompatible with svn 1.4.


Comment 4 Ismael Juma 2008-06-26 15:17:00 UTC
(In reply to comment #3)
> Subclipse provides a java-only implementation (SVNKit) that doesn't require the
> binary javahl library, so it can be used with Fedora without problems.

SVNKit 1.2.0 is still in beta and I've experienced at least one problem with it
that worked fine with javahl 1.5.0.

Comment 5 Edward Rudd 2008-07-01 21:28:10 UTC
Created attachment 310725 [details]
Diff to Spec file (Revision 1.112)

Attaching a patch that gets subversion 1.5.0 built on F8 w/o any issue.
(testing F9 shortly)

Changes:
Changed patch to svn_load_dirs contrib code
included svnmerge contrib code (along with migration script)
include wcgrep
Included patch (will attach next) that fixes javahl building on GCJ.
Reference bug: http://bugs.gentoo.org/show_bug.cgi?id=219959

Comment 6 Edward Rudd 2008-07-01 21:28:41 UTC
Created attachment 310727 [details]
JavaHL patch for building on GCJ

Comment 7 Joe Orton 2008-07-02 13:05:55 UTC
Ah, thanks Eddie!  javahl seems to build fine with OpenJDK so I switched to
BuildRequire that.

http://koji.fedoraproject.org/koji/buildinfo?buildID=54536

Comment 8 Thomas Moschny 2008-07-02 13:37:41 UTC
Shouldn't that be

BuildRequires: java-devel [>= specific_version] 
BuildRequires: jpackage-utils

Requires:  java >= specific_version
Requires:  jpackage-utils

as per Java packaging guidelines?

Comment 9 Edward Rudd 2008-07-02 15:04:00 UTC
Thomas,
well this is one of those things where, yes it requires a certain java version
to build (so that *good* version of javah is available to generate the headers),
but it'll run on older versions of java.

Joe,
Will there be a package update for F9 (or maybe F8)? 
the main issue I see with that is rapidSVN, and subclipse would need to be
updated/recompiled.  Plus many other subversion lib dependent apps.
It sucks that they changed the WC format again.

Comment 10 Joe Orton 2008-07-02 15:10:18 UTC
Thomas: I don't see why jpackage-utils is required for -javahl.

Eddie: w.r.t. F9/F8 updates, I'm undecided.  The WC format change may badly
break expectations for people using shared checkouts with multiple users.  I'm
open to persuasion here.



Comment 11 Thomas Moschny 2008-07-02 15:38:21 UTC
(In reply to comment #10)
> Thomas: I don't see why jpackage-utils is required for -javahl.

The guidelines say so ;) so there are reasons for sure. Currently I can only
guess, but e.g. %{_datadir}/java is owned by that package.


Comment 12 Joe Orton 2008-07-02 15:51:54 UTC
Subversion doesn't package anything in that directory.  I have no idea whether
it should; patches welcome, anyway; check with whatever uses this JAR, I guess.

Comment 13 Thomas Moschny 2008-07-02 16:05:04 UTC
(In reply to comment #12)
> Subversion doesn't package anything in that directory.

% rpm -ql subversion-javahl-1.4.6-7.x86_64
/usr/lib64/libsvnjavahl-1.la
/usr/lib64/libsvnjavahl-1.so
/usr/lib64/libsvnjavahl-1.so.0
/usr/lib64/libsvnjavahl-1.so.0.0.0
/usr/share/java/svn-javahl.jar

So, yes, subversion packs svn-javahl.jar in that dir.

Btw, it shouldn't be packaging the .la file.

Comment 14 Jim Hennessy 2008-07-07 15:30:45 UTC
(In reply to comment #10)
> I'm open to persuasion here.

If Subversion 1.5 required dumping the repository and reloading it, I would
definitely think that updating to 1.5 in the service stream would be bad.  I
personally think that the automatic update it does to a working copy is fine. 
My working copies are always private (not shared).  To me it seems weird to
share a working copy, but maybe others have good reasons for it.



Comment 15 Ismael Juma 2008-07-07 16:12:14 UTC
I agree with comment #14. Even for cases where users are sharing a checkout, it
would also be fine if they're relying on the packaged subversion that got
upgraded to 1.5. So, it seems like the number of users who could be negatively
affected is small.

Comment 16 Joe Orton 2008-07-07 19:43:12 UTC
OK, thanks for the feedback, folks.   I've fired of an F-9 build and will do the
bodhi dance soon.

http://koji.fedoraproject.org/koji/taskinfo?taskID=700859

Comment 17 Ismael Juma 2008-07-07 23:15:07 UTC
Thanks. I installed the packages from koji on a Fedora 9 machine and things seem
to be working fine here (command-line and javahl through Eclipse).

Comment 18 James Pooton 2008-07-08 18:37:27 UTC
Joe, does this mean a svn 1.5 update will make its way out for FC8 as well?

Thanks!

Comment 19 Fedora Update System 2008-07-17 13:10:00 UTC
subversion-1.5.0-8.fc9 has been submitted as an update for Fedora 9

Comment 20 Fedora Update System 2008-07-19 09:43:17 UTC
subversion-1.5.0-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6536

Comment 21 Joe Orton 2008-08-06 09:47:53 UTC
1.5.1 is now in updates-testing - please test and give feedback via the bodhi link.  Feedback is needed from Subcommander and Rapidsvn users particularly.

Comment 22 Fedora Update System 2008-10-01 06:41:02 UTC
subversion-1.5.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6536

Comment 23 Fedora Update System 2008-10-03 22:32:36 UTC
subversion-1.5.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6536

Comment 24 Joe Orton 2008-10-14 12:33:39 UTC
*** Bug 462665 has been marked as a duplicate of this bug. ***

Comment 25 Bug Zapper 2009-06-10 01:41:14 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 26 Bug Zapper 2009-07-15 08:24:31 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.